#include <iostream>
using namespace std;


int main()
{


long long int v, r, brojac = 0;
cin>> v;
long long int n, a, zbir = 0, i = 0;
n = v;
while(n>0)
{
 n= n/10;
 brojac = brojac + 1;
}

for (i = 0; i< brojac; i++)
{
    a = v%10;
    v = v/10;
    
    if(a == 1 || a== 2 || a== 5)
    {
      zbir = zbir + 1;
    }      
    else if(a == 3|| a== 4 || a==6 || a==7)
    {
     
     zbir = zbir + 2;
    }
    else if(a == 8 || a==9)
    {
     zbir = zbir + 3; 
    }
} 
cout<< zbir;
}